Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.util
Class LittleEndianByteArrayOutputStream

    java.lang.Object
      org.apache.poi.util.LittleEndianByteArrayOutputStream

All Implemented Interfaces:
  DelayableLittleEndianOutput, LittleEndianOutput

    public final class LittleEndianByteArrayOutputStream

extends java.lang.Object
implements LittleEndianOutput, DelayableLittleEndianOutput

Adapts a plain byte array to `LittleEndianOutput`

Author:
  Josh Micich

Constructor Summary
`LittleEndianByteArrayOutputStream(byte[] buf, int startOffset)`
`LittleEndianByteArrayOutputStream(byte[] buf, int startOffset, int maxWriteLen)`

Method Summary
`LittleEndianOutput` | `createDelayedOutput(int size)` Creates an output stream intended for outputting a sequence of `size` bytes.
`int` | `getWriteIndex()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int offset, int len)`
`void` | `writeByte(int v)`
`void` | `writeDouble(double v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeShort(int v)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LittleEndianByteArrayOutputStream

    public LittleEndianByteArrayOutputStream(byte[] buf,
                                             int startOffset,
                                             int maxWriteLen)

### LittleEndianByteArrayOutputStream

    public LittleEndianByteArrayOutputStream(byte[] buf,
                                             int startOffset)

Method Detail

### writeByte

    public void writeByte(int v)

  Specified by:
    `writeByte` in interface `LittleEndianOutput`

### writeDouble

    public void writeDouble(double v)

  Specified by:
    `writeDouble` in interface `LittleEndianOutput`

### writeInt

    public void writeInt(int v)

  Specified by:
    `writeInt` in interface `LittleEndianOutput`

### writeLong

    public void writeLong(long v)

  Specified by:
    `writeLong` in interface `LittleEndianOutput`

### writeShort

    public void writeShort(int v)

  Specified by:
    `writeShort` in interface `LittleEndianOutput`

### write

    public void write(byte[] b)

  Specified by:
    `write` in interface `LittleEndianOutput`

### write

    public void write(byte[] b,
                      int offset,
                      int len)

  Specified by:
    `write` in interface `LittleEndianOutput`

### getWriteIndex

    public int getWriteIndex()

### createDelayedOutput

    public LittleEndianOutput createDelayedOutput(int size)

  Description copied from interface: `DelayableLittleEndianOutput`
  Creates an output stream intended for outputting a sequence of `size` bytes.

  Specified by:
    `createDelayedOutput` in interface `DelayableLittleEndianOutput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD